sorted_heaps_slot Struct Reference

## Data Fields

RVALUE * | start
RVALUE * | end
struct heaps_slot * | slot

## Detailed Description

Definition at line 311 of file gc.c.

## Field Documentation

RVALUE* sorted_heaps_slot::end

Definition at line 313 of file gc.c.

Referenced by assign_heap_slot(), count_objects(), gc_mark_all(), is_pointer_to_heap(), and rb_objspace_call_finalizer().

struct heaps_slot* sorted_heaps_slot::slot

Definition at line 314 of file gc.c.

Referenced by assign_heap_slot(), count_objects(), free_unused_heaps(), objspace_each_objects(), and rb_objspace_free().

RVALUE* sorted_heaps_slot::start

Definition at line 312 of file gc.c.

Referenced by assign_heap_slot(), count_objects(), gc_mark_all(), gc_mark_locations(), is_pointer_to_heap(), and rb_objspace_call_finalizer().

The documentation for this struct was generated from the following file:

- gc.c